Skip to main content
GET
List counterparties

Authorizations

Authorization
string
header
required

Bearer token for authentication with Augustus Banking API

Query Parameters

limit
integer
default:10

Number of results per page (1-100). Defaults to 10.

Required range: 1 <= x <= 100
cursor
string

Opaque cursor from a previous next_cursor.

account_holder_id
string

ID of the account holder whose counterparties to act on. Omit for your own counterparties.

Pattern: ^[0-9a-fA-F]{24}$
Example:

"68e0a1b2c3d4e5f60718293a"

status
enum<string>

Filter by counterparty status. All statuses are included when omitted.

Available options:
pending,
active,
rejected

Response

200 - application/json

Paginated list of counterparties

data
object[]
required
has_more
boolean
required
next_cursor
string | null
required
Example:

"eyJsYXN0X2lkIjoiNTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDA2In0"

has_previous
boolean
required
previous_cursor
string | null
required
Example:

"eyJsYXN0X2lkIjoiNTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDA2In0"